Package org.eclipse.cdt.utils.elf

# Class Elf.Dynamic

java.lang.Object
org.eclipse.cdt.utils.elf.Elf.Dynamic

Enclosing class:
  `Elf`

public class Elf.Dynamic extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`d_tag`
`long`
`d_val`
`static final int`
`DT_FINI`
`static final int`
`DT_HASH`
`static final int`
`DT_INIT`
`static final int`
`DT_NEEDED`
`static final int`
`DT_NULL`
`static final int`
`DT_PLTGOT`
`static final int`
`DT_PLTRELSZ`
`static final int`
`DT_RELA`
`static final int`
`DT_RELAENT`
`static final int`
`DT_RELASZ`
`static final int`
`DT_RPATH`
`static final int`
`DT_SONAME`
`static final int`
`DT_STRSZ`
`static final int`
`DT_STRTAB`
`static final int`
`DT_SYMENT`
`static final int`
`DT_SYMTAB`
`static final int`
`DYN_ENT_SIZE_32`
`static final int`
`DYN_ENT_SIZE_64`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Dynamic(Elf.Section section)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DYN_ENT_SIZE_32

public static final int DYN_ENT_SIZE_32

See Also:
  - Constant Field Values

### DYN_ENT_SIZE_64

public static final int DYN_ENT_SIZE_64

See Also:
  - Constant Field Values

### DT_NULL

public static final int DT_NULL

See Also:
  - Constant Field Values

### DT_NEEDED

public static final int DT_NEEDED

See Also:
  - Constant Field Values

### DT_PLTRELSZ

public static final int DT_PLTRELSZ

See Also:
  - Constant Field Values

### DT_PLTGOT

public static final int DT_PLTGOT

See Also:
  - Constant Field Values

### DT_HASH

public static final int DT_HASH

See Also:
  - Constant Field Values

### DT_STRTAB

public static final int DT_STRTAB

See Also:
  - Constant Field Values

### DT_SYMTAB

public static final int DT_SYMTAB

See Also:
  - Constant Field Values

### DT_RELA

public static final int DT_RELA

See Also:
  - Constant Field Values

### DT_RELASZ

public static final int DT_RELASZ

See Also:
  - Constant Field Values

### DT_RELAENT

public static final int DT_RELAENT

See Also:
  - Constant Field Values

### DT_STRSZ

public static final int DT_STRSZ

See Also:
  - Constant Field Values

### DT_SYMENT

public static final int DT_SYMENT

See Also:
  - Constant Field Values

### DT_INIT

public static final int DT_INIT

See Also:
  - Constant Field Values

### DT_FINI

public static final int DT_FINI

See Also:
  - Constant Field Values

### DT_SONAME

public static final int DT_SONAME

See Also:
  - Constant Field Values

### DT_RPATH

public static final int DT_RPATH

See Also:
  - Constant Field Values

### d_tag

public long d_tag

### d_val

public long d_val

## Constructor Details

### Dynamic

protected Dynamic(Elf.Section section)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`